#
# spec file for package FirmwareUpdateKit
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2008 Steffen Winterfeldt
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           FirmwareUpdateKit
Version:        1.6
Release:        2.15
Summary:        Assist with DOS-based firmware updates
License:        GPL-3.0-or-later
Group:          System/Boot
Source:         FirmwareUpdateKit-1.6.tar.bz2
Patch1:         support_mkisofs.patch
Patch2:         user_executable.patch
Requires:       dosfstools
%if 0%{suse_version} >= 1500
Requires:       mkisofs
%else
Requires:       genisoimage
%endif
Requires:       mtools
Requires:       syslinux
Obsoletes:      dosbootdisk
Provides:       dosbootdisk
ExclusiveArch:  %{ix86} x86_64

%description
Create a bootable mini-DOS system and add files to it. Useful if you
have to do firmware updates from DOS.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build

%install
%make_install

%files
%{_bindir}/fuk
%{_datadir}/FirmwareUpdateKit
%license doc/COPYING

%changelog
* Mon Mar  5 2018 adam.majer@suse.de
- support_mkisofs.patch: support mkisofs in addition to genisoimage
  (bnc#1081739)
- user_executable.patch: specify path for executables in /usr/sbin
  allowing us to create images as a regular user.
- spec file cleanup and use v3 SPDX license
* Wed Jun 20 2012 snwint@suse.de
- work around bigint strangeness in perl 5.16 (bnc#766339)
* Tue Mar  6 2012 snwint@suse.de
- added himem driver
- updated to freedos 1.1
* Fri Feb 17 2012 snwint@suse.de
- specify image geometry explicitly
* Fri Feb 17 2012 snwint@suse.de
- fix grub & lilo for small images (bnc#727974)
- added 'free' option to specify extra disk space
- added VERSION & changelog files
- removed dependency on master-boot-code
* Tue Oct 25 2011 snwint@suse.de
- fix iso creation for small firmware files
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Thu Nov 13 2008 ro@suse.de
- add exclusivearch
* Mon Oct  6 2008 snwint@suse.de
- added '--image' and '--run' options
- now really accepts more than one file as arg
* Mon Jun 16 2008 snwint@suse.de
- initial version
